Closed Bug 954919 Opened 8 years ago Closed 8 years ago

Update to Mozilla 13

Categories

(Chat Core :: General, defect)

defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: clokep, Assigned: florian)

References

()

Details

(Whiteboard: [1.2-wanted])

Attachments

(1 file, 1 obsolete file)

*** Original post on bio 1486 at 2012-06-06 13:40:00 UTC ***

+++ This bug was initially created as a clone of Bug #954825 (bio 1390) +++

Firefox 13 was released today...we should update!
Blocks: 954920
Whiteboard: [1.2-wanted]
*** Original post on bio 1486 at 2012-06-06 14:09:49 UTC ***

Important bits (as far as I can tell):
* "Starting in Firefox 13, Firefox for Windows requires at least Windows XP Service Pack 2; it will no longer run on Windows 2000 or earlier versions of Windows XP."
* nsIPrefBranch2 interface has been merged into nsIPrefBranch (https://bugzilla.mozilla.org/show_bug.cgi?id=718255), we have some usages of this: http://lxr.instantbird.org/instantbird/search?string=nsIPrefBranch2
Attached patch WIP (obsolete) — Splinter Review
*** Original post on bio 1486 as attmnt 1618 at 2012-06-17 13:53:00 UTC ***

Not tested anywhere yet (just updated the patches so that they apply).
I haven't changed anything related to nsIPrefBranch2, as it seems these changes aren't required to compile.
*** Original post on bio 1486 at 2012-06-17 14:04:30 UTC ***

The mozilla13 compilation on an updated tree fails with strange errors while parsing idl files.
The fix is to do this in the source tree:
cd mozilla/xpcom/idl-parser/ && rm xpidllex.py xpidlyacc.py *.pyc
Attached patch PatchSplinter Review
*** Original post on bio 1486 as attmnt 1620 at 2012-06-17 20:18:00 UTC ***

I verified that this compiles on runs for both Linux 64 debug and Mac universal.

Things I had to change:
- revert the patch from bio 729584 that breaks the compilation of the PPC build.
- apply http://hg.mozilla.org/comm-central/rev/7711dc865642 (otherwise the purplexpcom can't link on linux with --enable debug, ld fails complaining about missing references to MOZ_Assert)
- disable SPS on Mac from the mozconfig for both architectures instead of disabling it for PPC in the patch for bio 734335.

I think this is ready for check-in.
Comment on attachment 8353375 [details] [diff] [review]
WIP

*** Original change on bio 1486 attmnt 1618 at 2012-06-17 20:18:22 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353375 - Attachment is obsolete: true
Assignee: nobody → florian
Status: NEW → ASSIGNED
*** Original post on bio 1486 at 2012-06-18 01:37:47 UTC ***

Committed as http://hg.instantbird.org/instantbird/rev/1bdcd936b1c1

Thanks Florian!
Status: ASSIGNED → RESOLVED
Closed: 8 years ago
Resolution: --- → FIXED
Depends on: 954961
Depends on: 954962
You need to log in before you can comment on or make changes to this bug.